{% extends "djangocms_blog/base.html" %}
{% load i18n easy_thumbnails_tags %}{% spaceless %}

  {% block canonical_url %}<link rel="canonical" href="{{ view.get_view_url }}"/>{% endblock canonical_url %}

  {% block content_blog %}
    <section class="blog-list">
      {% block blog_title %}
        <header>
          <h2>
            {% if author %}{% trans "Articles by" %} {{ author.get_full_name }}
            {% elif archive_date %}{% trans "Archive" %} &ndash; {% if month %}{{ archive_date|date:'F' }} {% endif %}{{ year }}
            {% elif tagged_entries %}{% trans "Tag" %} &ndash; {{ tagged_entries|capfirst }}
            {% elif category %}{% trans "Category" %} &ndash; {{ category }}{% endif %}
          </h2>
        </header>
      {% endblock %}
      {% for post in post_list %}
        {% include "djangocms_blog_agenda/post_item.html" with post=post image="true" TRUNCWORDS_COUNT=TRUNCWORDS_COUNT %}
      {% empty %}
        <p class="blog-empty">{% trans "No article found." %}</p>
      {% endfor %}
      {% if author or archive_date or tagged_entries %}
        <p class="blog-back"><a href="{% url 'djangocms_blog:posts-latest' %}">{% trans "Back" %}</a></p>
      {% endif %}
      {% if is_paginated %}
        <nav class="{% firstof css_grid instance.css_grid %} pagination">
          {% if page_obj.has_previous %}
            <a href="?{{ view.page_kwarg }}={{ page_obj.previous_page_number }}">&laquo; {% trans "previous" %}</a>
          {% endif %}
          <span class="current">
            {% trans "Page" %} {{ page_obj.number }} {% trans "of" %} {{ paginator.num_pages }}
          </span>
          {% if page_obj.has_next %}
            <a href="?{{ view.page_kwarg }}={{ page_obj.next_page_number }}">{% trans "next" %} &raquo;</a>
          {% endif %}
        </nav>
      {% endif %}
    </section>
  {% endblock %}
{% endspaceless %}
